/****************************************************************************
** Player meta object code from reading C++ file 'Player.h'
**
** Created: Thu Oct 26 17:51:15 2000
**      by: The Qt MOC ($Id: qt/src/moc/moc.y   2.2.1   edited 2000-09-29 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#define Q_MOC_Player
#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "Player.h"
#include <qmetaobject.h>
#include <qapplication.h>

#if defined(Q_SPARCWORKS_FUNCP_BUG)
#define Q_AMPERSAND
#else
#define Q_AMPERSAND &
#endif


const char *Player::className() const
{
    return "Player";
}

QMetaObject *Player::metaObj = 0;

void Player::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QObject::className(), "QObject") != 0 )
	badSuperclassWarning("Player","QObject");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString Player::tr(const char* s)
{
    return qApp->translate( "Player", s, 0 );
}

QString Player::tr(const char* s, const char * c)
{
    return qApp->translate( "Player", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* Player::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QObject::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef bool(Player::*m1_t0)(int);
    typedef void(Player::*m1_t1)();
    m1_t0 v1_0 = Q_AMPERSAND Player::playNextFromList;
    m1_t1 v1_1 = Q_AMPERSAND Player::timerJob;
    QMetaData *slot_tbl = QMetaObject::new_metadata(2);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(2);
    slot_tbl[0].name = "playNextFromList(int)";
    slot_tbl[0].ptr = (QMember)v1_0;
    slot_tbl_access[0] = QMetaData::Public;
    slot_tbl[1].name = "timerJob()";
    slot_tbl[1].ptr = (QMember)v1_1;
    slot_tbl_access[1] = QMetaData::Public;
    typedef void(Player::*m2_t0)(const PlaylistItem&);
    typedef void(Player::*m2_t1)(uint);
    typedef void(Player::*m2_t2)();
    m2_t0 v2_0 = Q_AMPERSAND Player::playListItem;
    m2_t1 v2_1 = Q_AMPERSAND Player::playerPlayRequest;
    m2_t2 v2_2 = Q_AMPERSAND Player::stopPlaylistPlay;
    QMetaData *signal_tbl = QMetaObject::new_metadata(3);
    signal_tbl[0].name = "playListItem(const PlaylistItem&)";
    signal_tbl[0].ptr = (QMember)v2_0;
    signal_tbl[1].name = "playerPlayRequest(uint)";
    signal_tbl[1].ptr = (QMember)v2_1;
    signal_tbl[2].name = "stopPlaylistPlay()";
    signal_tbl[2].ptr = (QMember)v2_2;
    metaObj = QMetaObject::new_metaobject(
	"Player", "QObject",
	slot_tbl, 2,
	signal_tbl, 3,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL playListItem
void Player::playListItem( const PlaylistItem& t0 )
{
    // No builtin function for signal parameter type const PlaylistItem&
    QConnectionList *clist = receivers("playListItem(const PlaylistItem&)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(const PlaylistItem&);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}

// SIGNAL playerPlayRequest
void Player::playerPlayRequest( uint t0 )
{
    // No builtin function for signal parameter type uint
    QConnectionList *clist = receivers("playerPlayRequest(uint)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(uint);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}

// SIGNAL stopPlaylistPlay
void Player::stopPlaylistPlay()
{
    activate_signal( "stopPlaylistPlay()" );
}
